Bug 222236 - www/go-www: update to 1.1.1
Summary: www/go-www: update to 1.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL: https://go-www.com
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-09-11 18:56 UTC by nbari
Modified: 2017-09-30 21:12 UTC (History)
2 users (show)

See Also:


Attachments
update go-www 1.1.0 patch (3.14 KB, patch)
2017-09-11 18:56 UTC, nbari
no flags Details | Diff
update go-www 1.1.1 patch (3.13 KB, patch)
2017-09-26 20:13 UTC, nbari
no flags Details | Diff
update go-www 1.1.1 patch (2.99 KB, patch)
2017-09-27 21:38 UTC, nbari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nbari 2017-09-11 18:56:51 UTC
Created attachment 186270 [details]
update go-www 1.1.0 patch

Now capable of creating valid cerficicates by passing using acme letsencrypt

* option -s "valid-domain.tld" will create a valid certificate (listen on port 443)
* if using -s "localhost" it will create a self-signed certificate
Comment 1 nbari 2017-09-26 20:13:12 UTC
Created attachment 186748 [details]
update go-www 1.1.1 patch
Comment 2 nbari 2017-09-27 21:38:21 UTC
Created attachment 186769 [details]
update go-www 1.1.1 patch
Comment 3 commit-hook freebsd_committer 2017-09-30 21:11:37 UTC
A commit references this bug:

Author: cpm
Date: Sat Sep 30 21:11:25 UTC 2017
New revision: 451012
URL: https://svnweb.freebsd.org/changeset/ports/451012

Log:
  www/go-www: Update to 1.1.1

  - Now capable of creating valid certificates by passing ACME letsencrypt
    * option -s "valid-domain.tld" will create a valid certificate (listen on port 443)
    * if using -s "localhost" it will create a self-signed certificate
  - Update comment and WWW in pkg-descr

  PR:		222236
  Submitted by:	Nicolas Embriz <nbari@tequila.io> (maintainer)

Changes:
  head/www/go-www/Makefile
  head/www/go-www/distinfo
  head/www/go-www/pkg-descr
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-09-30 21:12:25 UTC
Committed, thanks!